Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class JSONPTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport
          org.mortbay.cometd.JSONPTransport

All Implemented Interfaces:
  Transport

    public class JSONPTransport

extends AbstractTransport

Author:
  aabeling, gregw

Field Summary
`static java.lang.String` | `__DEFAULT_CALLBACK`

Constructor Summary
`JSONPTransport(java.lang.String jsonp)`

Method Summary
`void` | `complete()`
`java.lang.String` | `getJsonp()`
`boolean` | `isMetaConnectDeliveryOnly()`
`void` | `send(org.cometd.Message message)`
`java.lang.String` | `toString()`

Methods inherited from class org.mortbay.cometd.AbstractTransport
`getMetaConnectReply, getResponse, setMetaConnectReply, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### __DEFAULT_CALLBACK

    public static final java.lang.String __DEFAULT_CALLBACK

See Also:
  Constant Field Values

Constructor Detail

### JSONPTransport

    public JSONPTransport(java.lang.String jsonp)

Method Detail

### send

    public void send(org.cometd.Message message)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### complete

    public void complete()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### isMetaConnectDeliveryOnly

    public boolean isMetaConnectDeliveryOnly()

### getJsonp

    public java.lang.String getJsonp()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.